Submit Substantiation, Acknowledgment, or Appeal

Use this API to submit attestation, substantiation, and appeal requests separately. Each claim type must be submitted individually.

  • Substantiation and Attestation can only be submitted to a creative with a Pending status. The substantiation and attestation is for addressing all claims in the creative, not for any individual claim.
  • Appeal can only be submitted to a creative with Rejected status.

📘

URL: POST /api/v1/creatives/moderation/submission

Request Parameters for Acknowledging Claims

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID
creativeIdThe UUID of the creativestringYA valid creative ID
typetype of the claim
Value: ACKNOWLEDGE, ADDITIONAL_INFO, APPEAL
If the GET /moderation-assist response includes substantiation items, the type field is required and must be set to substantiation.
stringYacknowledge, additonal_info, appeal

  • type=ACKNOWLEDGE is for responding to acknowledgementClaims
    • and acknowledge is required
  • type=ADDITIONAL_INFO is for responding to substantiationClaims or to just submit more info
    • and description is required
    • campaignStartDate: date, optional
    • attachments: binary files, optional
  • type=APPEAL is for responding to a rejection
    • and description is required
    • campaignStartDate: date, optional
    • attachments: binary files, optional
acknowledgeIf the GET /moderation-assist response includes acknowledgement items, the acknowledge field is required and should be set to true.booleanConditionaltrue, false

Request Parameters for substantiation claims

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID
creativeIdThe UUID of the creativestringYA valid creative ID
typetype of the claim
Value: ADDITIONAL_INFO
stringYADDITIONAL_INFO
campaignStartDateThe date when campaign startsdateNA valid date
descriptionDescription textstringY
attachmentsBinary filesfileN

Request Parameters for appealing a rejected creative

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID
creativeIdThe UUID of the creativestringYA valid creative ID
typetype of the claim
Value: APPEAL
stringYAPPEAL
campaignStartDateThe date when campaign startsdateNA valid date
descriptionDescription text stringY
attachmentsBinary filesfileN

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request for Acknowledging Claims- Accept Attestation

curl -location " https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/moderation/submission" \
-H "Content-Type: multipart/form-data" \
-H "Authorization: Bearer <token>" \
-H 'WM_CONSUMER.ID: <consumer id>' \
-H 'WM_SEC.KEY_VERSION: 1' \
-H 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \
-H 'WM_SEC.AUTH_SIGNATURE: <token>' \
-F 'advertiserId=<id of advertiser>' \
-F 'creativeId=11111111-aaaa-aaaa-aaaa-111111111111' \
-F 'type=ACKNOWLEDGE' \
-F 'acknowledge=true' 

Sample Request for Acknowledging claims- Reject Attestation

curl -location " https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/moderation/submission" \
-H "Content-Type: multipart/form-data" \
-H "Authorization: Bearer <token>" \
-H 'WM_CONSUMER.ID: <consumer id>' \
-H 'WM_SEC.KEY_VERSION: 1' \
-H 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \
-H 'WM_SEC.AUTH_SIGNATURE: <token>' \
-F 'advertiserId=<id of advertiser>' \
-F 'creativeId=11111111-aaaa-aaaa-aaaa-111111111111' \
-F 'type=ACKNOWLEDGE' \
-F 'acknowledge=false' 

Request Example for Substantiation Claims and Responding to Request for More Information / to Proactively Submit More Information

curl -location "https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/moderation/submission" \
-H "Content-Type: multipart/form-data" \
-H "Authorization: Bearer <token>" \
-H 'WM_CONSUMER.ID: <consumer id>' \
-H 'WM_SEC.KEY_VERSION: 1' \
-H 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \
-H 'WM_SEC.AUTH_SIGNATURE: <token>' \
-F 'advertiserId=<id of advertiser>' \
-F 'creativeId=11111111-aaaa-aaaa-aaaa-111111111111' \
-F 'type=ADDITIONAL_INFO' \
-F 'description="some text"' \
-F "attachments=@/document.txt" 

Request Example for appealing a rejected creative:

curl -location "https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/moderation/submission" \
-H "Content-Type: multipart/form-data" \
-H "Authorization: Bearer <token>" \
-H 'WM_CONSUMER.ID: <consumer id>' \
-H 'WM_SEC.KEY_VERSION: 1' \
-H 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \
-H 'WM_SEC.AUTH_SIGNATURE: <token>' \
-F 'advertiserId=<id of advertiser>' \
-F 'creativeId=11111111-aaaa-aaaa-aaaa-111111111111' \
-F 'type=APPEAL' \
-F 'description="some text"' \
-F "attachments=@/document.txt" 

Response

ElementDescriptionType
statusStatusstring
creativeIdCreative IDstring

Sample Response

{ "status": "PENDING", "creativeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}